# Uses of Interface
org.springframework.context.ApplicationContext

Packages that use ApplicationContext
Package
Description
org.springframework.context
This package builds on the beans package to add support for message sources and for the Observer design pattern, and the ability for application objects to obtain resources using a consistent API.
org.springframework.context.annotation
Annotation support for the Application Context, including JSR-250 "common" annotations, component-scanning, and Java-based metadata for creating Spring-managed objects.
org.springframework.context.event
Support classes for application events, like standard context events.
org.springframework.context.support
Classes supporting the org.springframework.context package, such as abstract base classes for ApplicationContext implementations and a MessageSource implementation.
org.springframework.scheduling.annotation
Annotation support for asynchronous method execution.
org.springframework.scheduling.concurrent
Scheduling convenience classes for the `java.util.concurrent` and `jakarta.enterprise.concurrent` packages, allowing to set up a ThreadPoolExecutor or ScheduledThreadPoolExecutor as a bean in a Spring context.
org.springframework.ui.context.support
Classes supporting the org.springframework.ui.context package.
org.springframework.validation.beanvalidation
Support classes for integrating a JSR-303 Bean Validation provider (such as Hibernate Validator) into a Spring ApplicationContext and in particular with Spring's data binding and validation APIs.

## Uses of ApplicationContext in org.springframework.context

Subinterfaces of ApplicationContext in org.springframework.context
Modifier and Type
Interface
Description
`interface`
`ConfigurableApplicationContext`
SPI interface to be implemented by most if not all application contexts.
Methods in org.springframework.context that return ApplicationContext
Modifier and Type
Method
Description
`ApplicationContext`
ApplicationContext.`getParent()`
Return the parent context, or `null` if there is no parent and this is the root of the context hierarchy.
Methods in org.springframework.context with parameters of type ApplicationContext
Modifier and Type
Method
Description
`void`
ApplicationContextAware.`setApplicationContext(ApplicationContext applicationContext)`
Set the ApplicationContext that this object runs in.
`void`
ConfigurableApplicationContext.`setParent(ApplicationContext parent)`
Set the parent of this application context.

## Uses of ApplicationContext in org.springframework.context.annotation

Classes in org.springframework.context.annotation that implement ApplicationContext
Modifier and Type
Class
Description
`class`
`AnnotationConfigApplicationContext`
Standalone application context, accepting component classes as input — in particular `@Configuration`-annotated classes, but also plain `@Component` types and JSR-330 compliant classes using `jakarta.inject` annotations.

## Uses of ApplicationContext in org.springframework.context.event

Methods in org.springframework.context.event that return ApplicationContext
Modifier and Type
Method
Description
`final ApplicationContext`
ApplicationContextEvent.`getApplicationContext()`
Get the `ApplicationContext` that the event was raised for.
Methods in org.springframework.context.event with parameters of type ApplicationContext
Modifier and Type
Method
Description
`void`
EventListenerMethodProcessor.`setApplicationContext(ApplicationContext applicationContext)`
Constructors in org.springframework.context.event with parameters of type ApplicationContext
Modifier
Constructor
Description
``
`ApplicationContextEvent(ApplicationContext source)`
Create a new `ApplicationContextEvent`.
``
`ContextClosedEvent(ApplicationContext source)`
Create a new `ContextClosedEvent`.
``
`ContextRefreshedEvent(ApplicationContext source)`
Create a new `ContextRefreshedEvent`.
``
`ContextStartedEvent(ApplicationContext source)`
Create a new `ContextStartedEvent`.
``
`ContextStoppedEvent(ApplicationContext source)`
Create a new `ContextStoppedEvent`.

## Uses of ApplicationContext in org.springframework.context.support

Classes in org.springframework.context.support that implement ApplicationContext
Modifier and Type
Class
Description
`class`
`AbstractApplicationContext`
Abstract implementation of the `ApplicationContext` interface.
`class`
`AbstractRefreshableApplicationContext`
Base class for `ApplicationContext` implementations which are supposed to support multiple calls to `AbstractApplicationContext.refresh()`, creating a new internal bean factory instance every time.
`class`
`AbstractRefreshableConfigApplicationContext`
`AbstractRefreshableApplicationContext` subclass that adds common handling of specified config locations.
`class`
`AbstractXmlApplicationContext`
Convenient base class for `ApplicationContext` implementations, drawing configuration from XML documents containing bean definitions understood by an `XmlBeanDefinitionReader`.
`class`
`ClassPathXmlApplicationContext`
Standalone XML application context, taking the context definition files from the class path, interpreting plain paths as class path resource names that include the package path (for example, "mypackage/myresource.txt").
`class`
`FileSystemXmlApplicationContext`
Standalone XML application context, taking the context definition files from the file system or from URLs, interpreting plain paths as relative file system locations (for example, "mydir/myfile.txt").
`class`
`GenericApplicationContext`
Generic ApplicationContext implementation that holds a single internal `DefaultListableBeanFactory` instance and does not assume a specific bean definition format.
`class`
`GenericGroovyApplicationContext`
An `ApplicationContext` implementation that extends `GenericApplicationContext` and implements `GroovyObject` such that beans can be retrieved with the dot de-reference syntax instead of using `AbstractApplicationContext.getBean(java.lang.String)`.
`class`
`GenericXmlApplicationContext`
Convenient application context with built-in XML support.
`class`
`StaticApplicationContext`
`ApplicationContext` implementation which supports programmatic registration of beans and messages, rather than reading bean definitions from external configuration sources.
Methods in org.springframework.context.support that return ApplicationContext
Modifier and Type
Method
Description
`final ApplicationContext`
ApplicationObjectSupport.`getApplicationContext()`
Return the ApplicationContext that this object is associated with.
`ApplicationContext`
AbstractApplicationContext.`getParent()`
Return the parent context, or `null` if there is no parent (that is, this context is the root of the context hierarchy).
`protected final ApplicationContext`
ApplicationObjectSupport.`obtainApplicationContext()`
Obtain the ApplicationContext for actual use.
Methods in org.springframework.context.support with parameters of type ApplicationContext
Modifier and Type
Method
Description
`protected void`
ApplicationObjectSupport.`initApplicationContext(ApplicationContext context)`
Subclasses can override this for custom initialization behavior.
`final void`
ApplicationObjectSupport.`setApplicationContext(ApplicationContext context)`
`void`
AbstractApplicationContext.`setParent(ApplicationContext parent)`
Set the parent of this application context.
`void`
GenericApplicationContext.`setParent(ApplicationContext parent)`
Set the parent of this application context, also setting the parent of the internal BeanFactory accordingly.
Constructors in org.springframework.context.support with parameters of type ApplicationContext
Modifier
Constructor
Description
``
`AbstractApplicationContext(ApplicationContext parent)`
Create a new AbstractApplicationContext with the given parent context.
``
`AbstractRefreshableApplicationContext(ApplicationContext parent)`
Create a new AbstractRefreshableApplicationContext with the given parent context.
``
`AbstractRefreshableConfigApplicationContext(ApplicationContext parent)`
Create a new AbstractRefreshableConfigApplicationContext with the given parent context.
``
`AbstractXmlApplicationContext(ApplicationContext parent)`
Create a new AbstractXmlApplicationContext with the given parent context.
``
`ClassPathXmlApplicationContext(String[] configLocations, boolean refresh, ApplicationContext parent)`
Create a new ClassPathXmlApplicationContext with the given parent, loading the definitions from the given XML files.
``
`ClassPathXmlApplicationContext(String[] paths, Class<?> clazz, ApplicationContext parent)`
Create a new ClassPathXmlApplicationContext with the given parent, loading the definitions from the given XML files and automatically refreshing the context.
``
`ClassPathXmlApplicationContext(String[] configLocations, ApplicationContext parent)`
Create a new ClassPathXmlApplicationContext with the given parent, loading the definitions from the given XML files and automatically refreshing the context.
``
`ClassPathXmlApplicationContext(ApplicationContext parent)`
Create a new ClassPathXmlApplicationContext for bean-style configuration.
``
`FileSystemXmlApplicationContext(String[] configLocations, boolean refresh, ApplicationContext parent)`
Create a new FileSystemXmlApplicationContext with the given parent, loading the definitions from the given XML files.
``
`FileSystemXmlApplicationContext(String[] configLocations, ApplicationContext parent)`
Create a new FileSystemXmlApplicationContext with the given parent, loading the definitions from the given XML files and automatically refreshing the context.
``
`FileSystemXmlApplicationContext(ApplicationContext parent)`
Create a new FileSystemXmlApplicationContext for bean-style configuration.
``
`GenericApplicationContext(org.springframework.beans.factory.support.DefaultListableBeanFactory beanFactory, ApplicationContext parent)`
Create a new GenericApplicationContext with the given DefaultListableBeanFactory.
``
`GenericApplicationContext(ApplicationContext parent)`
Create a new GenericApplicationContext with the given parent.
``
`StaticApplicationContext(ApplicationContext parent)`
Create a new StaticApplicationContext with the given parent.

## Uses of ApplicationContext in org.springframework.scheduling.annotation

Methods in org.springframework.scheduling.annotation with parameters of type ApplicationContext
Modifier and Type
Method
Description
`void`
ScheduledAnnotationBeanPostProcessor.`setApplicationContext(ApplicationContext applicationContext)`
Setting an `ApplicationContext` is optional: If set, registered tasks will be activated in the `ContextRefreshedEvent` phase; if not set, it will happen at `ScheduledAnnotationBeanPostProcessor.afterSingletonsInstantiated()` time.

## Uses of ApplicationContext in org.springframework.scheduling.concurrent

Methods in org.springframework.scheduling.concurrent with parameters of type ApplicationContext
Modifier and Type
Method
Description
`void`
ExecutorConfigurationSupport.`setApplicationContext(ApplicationContext applicationContext)`
`void`
SimpleAsyncTaskScheduler.`setApplicationContext(ApplicationContext applicationContext)`

## Uses of ApplicationContext in org.springframework.ui.context.support

Methods in org.springframework.ui.context.support with parameters of type ApplicationContext
Modifier and Type
Method
Description
`static ThemeSource`
UiApplicationContextUtils.`initThemeSource(ApplicationContext context)`
Deprecated.
Initialize the ThemeSource for the given application context, autodetecting a bean with the name "themeSource".

## Uses of ApplicationContext in org.springframework.validation.beanvalidation

Methods in org.springframework.validation.beanvalidation with parameters of type ApplicationContext
Modifier and Type
Method
Description
`void`
LocalValidatorFactoryBean.`setApplicationContext(ApplicationContext applicationContext)`